-----------------------------------------------------------------------------------------------
-- Client Lua Script for SCBT
-- All rights reserved
-----------------------------------------------------------------------------------------------
 
require "Window"

local SCBT = {} 

function SCBT:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self 
    return o
end

function SCBT:Init()
    Apollo.RegisterAddon(self)
end
 
 function SCBT:OnLoad()
	Apollo.LoadSprites("Textures.xml", "SCastBarTextures")
	
	Apollo.RegisterEventHandler("GenericEvent_MediaShareLoaded", "OnMediaShareLoaded", self)
	if MediaShare then --in case MediaShare is already loaded and fired the event
		SCBT:OnMediaShareLoaded()
	end
	
end


function SCBT:OnMediaShareLoaded()
	if MediaShare then
		MediaShare.AddTexture("SCastBarTextures:AceBarFrames", "AceBar")
		MediaShare.AddTexture("SCastBarTextures:Aluminium", "Aluminium")
		MediaShare.AddTexture("SCastBarTextures:BantoBar", "BantoBar")
		MediaShare.AddTexture("SCastBarTextures:Gloss", "Gloss")
		MediaShare.AddTexture("SCastBarTextures:LiteStep", "LiteStep")
		MediaShare.AddTexture("SCastBarTextures:Minimalist", "Minimalist")
		MediaShare.AddTexture("SCastBarTextures:Rupture", "Rupture")
		MediaShare.AddTexture("SCastBarTextures:Smooth", "Smooth")
	else
		Print("MediaShare not found!")
	end
end

-----------------------------------------------------------------------------------------------
-- SCBT Instance
-----------------------------------------------------------------------------------------------
local SCBTInst = SCBT:new()
SCBTInst:Init()
